ubuntu/+source/libcanberra:ubuntu/disco

Last commit made on 2018-08-16
Get this branch:
git clone -b ubuntu/disco https://git.launchpad.net/ubuntu/+source/libcanberra
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/disco
Repository:
lp:ubuntu/+source/libcanberra

Recent commits

844f774... by Sebastien Bacher on 2018-08-16

Import patches-unapplied version 0.30-6ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: a917ea7723884b6ebc1704064ee9e3ce98a527f5

New changelog entries:
  * Sync with Debian. Remaining changes:
    - Add Vcs-Bzr field
    - Disable login sound by default and hide sound from startup applications
    - Install the gtk plugin in the unity-settings-daemon dir

a917ea7... by Jeremy Bicha on 2017-12-17

Import patches-unapplied version 0.30-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 39aef1d85d8c450352ea1eaa1328cbc6e69bae33

New changelog entries:
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Mark libcanberra-doc as Multi-Arch: foreign

39aef1d... by Jeremy Bicha on 2017-12-03

Import patches-unapplied version 0.30-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 956fb40d5fb1d6b66b14fe5fd54f371228424c42

New changelog entries:
  * gnome-session-canberra: Drop wrong manual dependency on libcanbera-gtk0
    It already depends on the correct libcanberra-gtk3-0
  * debian/control.in:
    - Drop obsolete Build-Depends on dpkg-dev >= 1.14.13 satisfied in Wheezy
    - Also drop obsolete Pre-Depends added for multiarch support
    - Have libcanberra0 depend on sound-theme-freedesktop since it is required
      by the freedesktop.org draft Sound Theme specification (LP: #790608)
  * Install GTK+ 3 module for unity-settings-daemon too
  * Add 03_onlyshowin_unity.patch: Play login sound in Unity too (if enabled)

956fb40... by Simon McVittie on 2017-10-30

Import patches-unapplied version 0.30-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8350eb317ae069afe50160c1306e9137ebd29185

New changelog entries:
  * Team upload
  [ Jeremy Bicha ]
  * d/watch: Use format version 4
  * d/watch: Use @PACKAGE@ and @ANY_VERSION@ tokens
  [ Simon McVittie ]
  * Run gtkdocize to update build system (Closes: #876596)
  * Set Rules-Requires-Root: no
  * Switch from cdbs to dh
  * Move to debhelper compat level 10
    - Don't use dh-autoreconf explicitly, it is now the default
  * Standards-Version: 4.1.1 (no further changes required)
  * Give all packages distinct short descriptions
  * Enable PIE hardening

8350eb3... by Simon McVittie on 2016-04-13

Import patches-unapplied version 0.30-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 31ac4bf73dc2c311f939ff40f465d9df3481c6aa

New changelog entries:
  * Team upload.
  [ Emilio Pozuelo Monfort ]
  * debian/libcanberra0.symbols,
    debian/libcanberra0.symbols.hurd-i386:
    + Drop hurd-i386 symbols file, instead use arch tags to mark a couple of
      symbols as not available on hurd.
  [ Laurent Bigonville ]
  * debian/patches/gtk_dont_assume_x11.patch: Don't assume all GdkDisplays are
    GdkX11Displays, fixing crashes when running Wayland. (Closes: #820944)
  * debian/control, debian/compat: Bump debhelper compatibility to 9
  * debian/control: Bump Standards-Version to 3.9.7 (no furter changes)
  * Drop -dbg package and rely on automatically built -dbgsym ones
  * debian/rules: Pass --as-needed to the linked and to dh_autoreconf to
    reduce the number of runtime dependencies

31ac4bf... by Samuel Thibault <email address hidden> on 2014-08-31

Import patches-unapplied version 0.30-2.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: af7fa8b7b9422953dc74c43c187cead35dbb9158

New changelog entries:
  [ Samuel Thibault ]
  * Non-maintainer upload.
  [ Jelmer Vernooij ]
  * Remove build-dependency on libtdb-dev on the Hurd, as tdb depends on
    byte range locking which is not available on the Hurd. Closes: #190367.

af7fa8b... by Laurent Bigonville on 2013-05-30

Import patches-unapplied version 0.30-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 393bc82896f26ca773bd73ea915ff0a9d0d69746

New changelog entries:
  * debian/rules: Properly exclude dh_makeshlibs from generating shlibs files
    for 0.30 canberra modules
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical VCS URL

393bc82... by Sjoerd Simons on 2013-03-24

Import patches-unapplied version 0.30-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: c0cf0afe8eb218d33a679b146395f01b5e953b8e

New changelog entries:
  * New upstream release
  * Gconf usage is dropped (remove b-d and schema install)
  * Ported to gstreamer 1.0

c0cf0af... by Josselin Mouette <email address hidden> on 2012-11-26

Import patches-unapplied version 0.28-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7eed2d721b521b7cf3525588657703dc004b22ee

New changelog entries:
  * libcanberra-gtk-common-dev breaks/replaces libcanberra-gtk-dev <<
    0.26. Closes: #694283.

7eed2d7... by Laurent Bigonville on 2012-09-22

Import patches-unapplied version 0.28-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 326fc04ef7a7f4de45c7c04e44963c6e97484627

New changelog entries:
  * debian/watch: Switch to .xz tarballs
  * Move canberra-gtk-play manpage from libcanberra-gtk0 to
    gnome-session-canberra to follow the executable (Closes: #684676)
  * Fix libcanberra-gstreamer-dbg long description (Closes: #675693)
  * debian/rules: Drop update-patch-series target, this was when the package
    was maintained in git.
  * Call dh_autoreconf during build to update m4/libtool.m4 and prevent
    hurd-i386 to be built with rpath (Closes: #677343)
  * debian/patches/undefined_reference.diff: Also link the GTK2 flavour
    against libX11 and the modules against libgmodule-2.0